#!/usr/bin/env python

from threading import Thread, Lock
import time

from aman.config.Airport import Airport

class Worker(Thread):
    def __init__(self, icao : str, configuration : Airport):
        Thread.__init__(self)

        self.stopThread = None
        self.icao = icao
        self.configuration = configuration
        self.arrivalRoutes = configuration.gngData.arrivalRoutes
        self.updateLock = Lock()
        self.reportQueue = {}

    def stop(self):
        self.stopThread = True

    def run(self):
        counter = 0

        while None == self.stopThread:
            time.sleep(1)
            counter += 1
            if 0 != (counter % 60):
                continue

            # TODO handle the report queue and update internal information
            # TODO execute planning, etc.
            continue
